Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# QHelpSearchQuery Class Reference

The QHelpSearchQuery class contains the field name and the associated search term More...

     #include <QHelpSearchQuery>

This class was introduced in Qt 4.4.

- List of all members, including inherited members

## Public Types

enum | FieldName { DEFAULT, FUZZY, WITHOUT, PHRASE, ALL, ATLEAST }

## Public Functions

| QHelpSearchQuery ()
| QHelpSearchQuery ( FieldName field, const QStringList & wordList )

## Detailed Description

The QHelpSearchQuery class contains the field name and the associated search term

The QHelpSearchQuery class contains the field name and the associated search term. Depending on the field the search term might get split up into separate terms to be parsed differently by the search engine.

See also QHelpSearchQueryWidget.

## Member Type Documentation

### enum QHelpSearchQuery::FieldName

This enum type specifies the field names that are handled by the search engine.

Constant | Value | Description
--- | --- | ---
`QHelpSearchQuery::DEFAULT` | `0` | the default field provided by the search widget, several terms should be split and stored in the word list except search terms enclosed in quotes.
`QHelpSearchQuery::FUZZY` | `1` | a field only provided in use with clucene. Terms should be split in separate words and passed to the search engine.
`QHelpSearchQuery::WITHOUT` | `2` | a field only provided in use with clucene. Terms should be split in separate words and passed to the search engine.
`QHelpSearchQuery::PHRASE` | `3` | a field only provided in use with clucene. Terms should not be split in separate words.
`QHelpSearchQuery::ALL` | `4` | a field only provided in use with clucene. Terms should be split in separate words and passed to the search engine
`QHelpSearchQuery::ATLEAST` | `5` | a field only provided in use with clucene. Terms should be split in separate words and passed to the search engine

## Member Function Documentation

### QHelpSearchQuery::QHelpSearchQuery ()

Constructs a new empty QHelpSearchQuery.

### QHelpSearchQuery::QHelpSearchQuery ( FieldName field, const QStringList & wordList )

Constructs a new QHelpSearchQuery and initializes it with the given field and wordList.